ICU 76.1: Data Fields

ICU 76.1 76.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- c : U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator , UText
- Calendar() : icu::Calendar
- CalendarFactory : icu::Calendar
- CalendarService : icu::Calendar
- canFormat() : icu::message2::FormattedPlaceholder
- CanonicalIterator() : icu::CanonicalIterator
- canonicalize() : icu::Locale
- caseCompare() : icu::UnicodeString
- caseCompareBetween() : icu::UnicodeString
- Char16Ptr() : icu::Char16Ptr
- char32At() : icu::Replaceable , icu::UnicodeString , UReplaceableCallbacks
- CharacterIterator() : icu::CharacterIterator
- charAt() : icu::message2::FormattedMessage , icu::Replaceable , icu::UnicodeSet , icu::UnicodeString , UReplaceableCallbacks
- chars : icu::StringEnumeration
- charsBuffer : icu::StringEnumeration
- charsCapacity : icu::StringEnumeration
- charsetFamily : UDataInfo
- CheckedArrayByteSink() : icu::CheckedArrayByteSink
- ChoiceFormat() : icu::ChoiceFormat
- chunkContents : UText
- chunkLength : UText
- chunkNativeLimit : UText
- chunkNativeStart : UText
- chunkOffset : UText
- cleanupRegionData() : icu::Region
- clear() : icu::BytesTrieBuilder , icu::Calendar , icu::LocaleBuilder , icu::MessagePattern , icu::StringPiece , icu::UCharsTrieBuilder , icu::UnicodeSet
- clearExtensions() : icu::LocaleBuilder
- clearPatternAndSetApostropheMode() : icu::MessagePattern
- clearRecords() : icu::AlphabeticIndex
- clone() : icu::AnnualTimeZoneRule , icu::BasicTimeZone , icu::BreakIterator , icu::Calendar , icu::CharacterIterator , icu::ChoiceFormat , icu::Collator , icu::CompactDecimalFormat , icu::CurrencyAmount , icu::CurrencyPluralInfo , icu::CurrencyUnit , icu::DateFormat , icu::DateInterval , icu::DateIntervalFormat , icu::DateIntervalInfo , icu::DateTimePatternGenerator , icu::DateTimeRule , icu::DecimalFormat , icu::FieldPosition , icu::Format , icu::Formattable , icu::GregorianCalendar , icu::InitialTimeZoneRule , icu::Locale , icu::Measure , icu::MeasureFormat , icu::MeasureUnit , icu::MessageFormat , icu::Normalizer , icu::number::NumberFormatterSettings< Derived > , icu::number::NumberRangeFormatterSettings< Derived > , icu::NumberFormat , icu::ParsePosition , icu::PluralFormat , icu::PluralRules , icu::RegexPattern , icu::Replaceable , icu::ResourceBundle , icu::RuleBasedBreakIterator , icu::RuleBasedCollator , icu::RuleBasedNumberFormat , icu::RuleBasedTimeZone , icu::ScientificNumberFormatter , icu::SelectFormat , icu::SimpleDateFormat , icu::SimpleTimeZone , icu::StringCharacterIterator , icu::StringEnumeration , icu::StringSearch , icu::TimeArrayTimeZoneRule , icu::TimeUnit , icu::TimeUnitAmount , icu::TimeUnitFormat , icu::TimeZone , icu::TimeZoneFormat , icu::TimeZoneNames , icu::TimeZoneRule , icu::TimeZoneTransition , icu::Transliterator , icu::UCharCharacterIterator , icu::UnicodeFilter , icu::UnicodeFunctor , icu::UnicodeSet , icu::UnicodeString , icu::VTimeZone , UTextFuncs
- cloneAsThawed() : icu::UnicodeSet
- cloneBinary() : icu::RuleBasedCollator
- cloneRuleData() : icu::RuleBasedCollator
- close : UTextFuncs
- closeOver() : icu::UnicodeSet
- CodePointRange() : U_HEADER_ONLY_NAMESPACE::CodePointRange
- codePoints() : icu::number::impl::Padder , icu::UnicodeSet
- collapse : icu::number::impl::RangeMacroProps , icu::number::NumberRangeFormatterSettings< Derived >
- CollationElementIterator() : icu::CollationElementIterator
- CollationKey() : icu::CollationKey
- Collator() : icu::Collator
- combineDateAndTime() : icu::RelativeDateTimeFormatter
- compact() : icu::UnicodeSet
- CompactDecimalFormat() : icu::CompactDecimalFormat
- compactLong() : icu::number::Notation
- compactShort() : icu::number::Notation
- compare() : icu::Collator , icu::Normalizer , icu::RuleBasedCollator , icu::StringPiece , icu::UnicodeString
- compareBetween() : icu::UnicodeString
- compareCodePointOrder() : icu::UnicodeString
- compareCodePointOrderBetween() : icu::UnicodeString
- compareTo() : icu::CollationKey
- compareUTF8() : icu::Collator , icu::RuleBasedCollator
- compile() : icu::RegexPattern
- complement() : icu::UnicodeSet
- complementAll() : icu::UnicodeSet
- complete() : icu::Calendar , icu::RuleBasedTimeZone
- compose() : icu::Normalizer
- composePair() : icu::FilteredNormalizer2 , icu::Normalizer2
- computeFields() : icu::Calendar
- computeGregorianFields() : icu::Calendar
- computeJulianDay() : icu::Calendar
- computeMillisInDay() : icu::Calendar
- computeTime() : icu::Calendar
- computeZoneOffset() : icu::Calendar
- concatenate() : icu::Normalizer
- ConstChar16Ptr() : icu::ConstChar16Ptr
- constrainCategory() : icu::ConstrainedFieldPosition
- ConstrainedFieldPosition() : icu::ConstrainedFieldPosition
- constrainField() : icu::ConstrainedFieldPosition
- contains() : icu::Region , icu::UnicodeFilter , icu::UnicodeSet
- containsAll() : icu::UnicodeSet
- containsNone() : icu::UnicodeSet
- containsSome() : icu::UnicodeSet
- contents() : icu::message2::data_model::PatternPart
- context : UCharIterator , UText
- contextLimit : UTransPosition
- contextStart : UTransPosition
- converter : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- ConvertingIterator() : icu::Locale::ConvertingIterator< Iter, Conv >
- copy() : icu::Replaceable , icu::UnicodeString , UReplaceableCallbacks , UTextFuncs
- copyErrorTo() : icu::Edits , icu::LocaleBuilder , icu::LocaleMatcher::Builder , icu::number::impl::MacroProps , icu::number::impl::RangeMacroProps , icu::number::impl::SymbolsWrapper , icu::number::NumberFormatterSettings< Derived > , icu::number::NumberRangeFormatterSettings< Derived >
- copyToBuilder() : icu::DisplayOptions
- count() : icu::StringEnumeration
- countAvailableIDs() : icu::Transliterator
- countAvailableSources() : icu::Transliterator
- countAvailableTargets() : icu::Transliterator
- countAvailableVariants() : icu::Transliterator
- countChar32() : icu::UnicodeString
- countElements() : icu::Transliterator
- countEquivalentIDs() : icu::TimeZone
- countParts() : icu::MessagePattern
- countRuns() : icu::ParagraphLayout::Line
- countStartTimes() : icu::TimeArrayTimeZoneRule
- countTransitionRules() : icu::BasicTimeZone , icu::RuleBasedTimeZone , icu::SimpleTimeZone , icu::VTimeZone
- createAcre() : icu::MeasureUnit
- createAcreFoot() : icu::MeasureUnit
- createAmpere() : icu::MeasureUnit
- createArcMinute() : icu::MeasureUnit
- createArcSecond() : icu::MeasureUnit
- createAstronomicalUnit() : icu::MeasureUnit
- createAtmosphere() : icu::MeasureUnit
- createBar() : icu::MeasureUnit
- createBarrel() : icu::MeasureUnit
- createBasicInstance() : icu::Transliterator
- createBeaufort() : icu::MeasureUnit
- createBit() : icu::MeasureUnit
- createBritishThermalUnit() : icu::MeasureUnit
- createBufferClone() : icu::BreakIterator , icu::RuleBasedBreakIterator
- createBushel() : icu::MeasureUnit
- createByte() : icu::MeasureUnit
- createCalorie() : icu::MeasureUnit
- createCandela() : icu::MeasureUnit
- createCanonical() : icu::Locale
- createCarat() : icu::MeasureUnit
- createCelsius() : icu::MeasureUnit
- createCentiliter() : icu::MeasureUnit
- createCentimeter() : icu::MeasureUnit
- createCentury() : icu::MeasureUnit
- createCharacterInstance() : icu::BreakIterator
- createCollationElementIterator() : icu::RuleBasedCollator
- createCollator() : icu::CollatorFactory
- createCubicCentimeter() : icu::MeasureUnit
- createCubicFoot() : icu::MeasureUnit
- createCubicInch() : icu::MeasureUnit
- createCubicKilometer() : icu::MeasureUnit
- createCubicMeter() : icu::MeasureUnit
- createCubicMile() : icu::MeasureUnit
- createCubicYard() : icu::MeasureUnit
- createCup() : icu::MeasureUnit
- createCupMetric() : icu::MeasureUnit
- createCurrencyFormat() : icu::MeasureFormat
- createCurrencyInstance() : icu::NumberFormat
- createDalton() : icu::MeasureUnit
- createDateInstance() : icu::DateFormat
- createDateTimeInstance() : icu::DateFormat
- createDay() : icu::MeasureUnit
- createDayPerson() : icu::MeasureUnit
- createDecade() : icu::MeasureUnit
- createDeciliter() : icu::MeasureUnit
- createDecimeter() : icu::MeasureUnit
- createDefault() : icu::TimeZone
- createDefaultRules() : icu::PluralRules
- createDegree() : icu::MeasureUnit
- createDessertSpoon() : icu::MeasureUnit
- createDessertSpoonImperial() : icu::MeasureUnit
- createDot() : icu::MeasureUnit
- createDotPerCentimeter() : icu::MeasureUnit
- createDotPerInch() : icu::MeasureUnit
- createDram() : icu::MeasureUnit
- createDrop() : icu::MeasureUnit
- createDunam() : icu::MeasureUnit
- createEarthMass() : icu::MeasureUnit
- createEarthRadius() : icu::MeasureUnit
- createElectronvolt() : icu::MeasureUnit
- createEm() : icu::MeasureUnit
- createEmptyInstance() : icu::DateTimePatternGenerator , icu::FilteredBreakIteratorBuilder
- createEnumeration() : icu::TimeZone
- createEnumerationForRawOffset() : icu::TimeZone
- createEnumerationForRegion() : icu::TimeZone
- createFahrenheit() : icu::MeasureUnit
- createFathom() : icu::MeasureUnit
- createFluidOunce() : icu::MeasureUnit
- createFluidOunceImperial() : icu::MeasureUnit
- createFoodcalorie() : icu::MeasureUnit
- createFoot() : icu::MeasureUnit
- createForLocale() : icu::DateFormatSymbols
- createFormat() : icu::NumberFormatFactory
- createFormatter() : icu::message2::FormatterFactory
- createFrom() : icu::UnicodeSet
- createFromAll() : icu::UnicodeSet
- createFromName() : icu::Locale
- createFromRules() : icu::Transliterator
- createFurlong() : icu::MeasureUnit
- createGallon() : icu::MeasureUnit
- createGallonImperial() : icu::MeasureUnit
- createGasolineEnergyDensity() : icu::MeasureUnit
- createGenericTemperature() : icu::MeasureUnit
- createGForce() : icu::MeasureUnit
- createGigabit() : icu::MeasureUnit
- createGigabyte() : icu::MeasureUnit
- createGigahertz() : icu::MeasureUnit
- createGigawatt() : icu::MeasureUnit
- createGrain() : icu::MeasureUnit
- createGram() : icu::MeasureUnit
- createHectare() : icu::MeasureUnit
- createHectoliter() : icu::MeasureUnit
- createHectopascal() : icu::MeasureUnit
- createHertz() : icu::MeasureUnit
- createHorsepower() : icu::MeasureUnit
- createHour() : icu::MeasureUnit
- createInch() : icu::MeasureUnit
- createInchHg() : icu::MeasureUnit
- createInstance() : icu::Calendar , icu::Collator , icu::CompactDecimalFormat , icu::DateFormat , icu::DateIntervalFormat , icu::DateTimePatternGenerator , icu::FilteredBreakIteratorBuilder , icu::ListFormatter , icu::LocaleDisplayNames , icu::NumberFormat , icu::NumberingSystem , icu::TimeUnit , icu::TimeZoneFormat , icu::TimeZoneNames , icu::Transliterator
- createInstanceByName() : icu::NumberingSystem
- createInstanceForSkeleton() : icu::DateFormat
- createInstanceNoStdPat() : icu::DateTimePatternGenerator
- createInverse() : icu::Transliterator
- createItem() : icu::MeasureUnit
- createJigger() : icu::MeasureUnit
- createJoule() : icu::MeasureUnit
- createKarat() : icu::MeasureUnit
- createKelvin() : icu::MeasureUnit
- createKeywords() : icu::Locale
- createKilobit() : icu::MeasureUnit
- createKilobyte() : icu::MeasureUnit
- createKilocalorie() : icu::MeasureUnit
- createKilogram() : icu::MeasureUnit
- createKilohertz() : icu::MeasureUnit
- createKilojoule() : icu::MeasureUnit
- createKilometer() : icu::MeasureUnit
- createKilometerPerHour() : icu::MeasureUnit
- createKilopascal() : icu::MeasureUnit
- createKilowatt() : icu::MeasureUnit
- createKilowattHour() : icu::MeasureUnit
- createKilowattHourPer100Kilometer() : icu::MeasureUnit
- createKnot() : icu::MeasureUnit
- createLightSpeed() : icu::MeasureUnit
- createLightYear() : icu::MeasureUnit
- createLineInstance() : icu::BreakIterator
- createLiter() : icu::MeasureUnit
- createLiterPer100Kilometers() : icu::MeasureUnit
- createLiterPerKilometer() : icu::MeasureUnit
- createLumen() : icu::MeasureUnit
- createLux() : icu::MeasureUnit
- createMarkupInstance() : icu::ScientificNumberFormatter
- createMegabit() : icu::MeasureUnit
- createMegabyte() : icu::MeasureUnit
- createMegahertz() : icu::MeasureUnit
- createMegaliter() : icu::MeasureUnit
- createMegapascal() : icu::MeasureUnit
- createMegapixel() : icu::MeasureUnit
- createMegawatt() : icu::MeasureUnit
- createMeter() : icu::MeasureUnit
- createMeterPerSecond() : icu::MeasureUnit
- createMeterPerSecondSquared() : icu::MeasureUnit
- createMetricTon() : icu::MeasureUnit
- createMicrogram() : icu::MeasureUnit
- createMicrometer() : icu::MeasureUnit
- createMicrosecond() : icu::MeasureUnit
- createMile() : icu::MeasureUnit
- createMilePerGallon() : icu::MeasureUnit
- createMilePerGallonImperial() : icu::MeasureUnit
- createMilePerHour() : icu::MeasureUnit
- createMileScandinavian() : icu::MeasureUnit
- createMilliampere() : icu::MeasureUnit
- createMillibar() : icu::MeasureUnit
- createMilligram() : icu::MeasureUnit
- createMilligramOfglucosePerDeciliter() : icu::MeasureUnit
- createMilligramPerDeciliter() : icu::MeasureUnit
- createMilliliter() : icu::MeasureUnit
- createMillimeter() : icu::MeasureUnit
- createMillimeterOfMercury() : icu::MeasureUnit
- createMillimolePerLiter() : icu::MeasureUnit
- createMillisecond() : icu::MeasureUnit
- createMilliwatt() : icu::MeasureUnit
- createMinute() : icu::MeasureUnit
- createMole() : icu::MeasureUnit
- createMonth() : icu::MeasureUnit
- createMonthPerson() : icu::MeasureUnit
- createNanometer() : icu::MeasureUnit
- createNanosecond() : icu::MeasureUnit
- createNauticalMile() : icu::MeasureUnit
- createNewton() : icu::MeasureUnit
- createNewtonMeter() : icu::MeasureUnit
- createNight() : icu::MeasureUnit
- createOhm() : icu::MeasureUnit
- createOunce() : icu::MeasureUnit
- createOunceTroy() : icu::MeasureUnit
- createParsec() : icu::MeasureUnit
- createPartPerMillion() : icu::MeasureUnit
- createPascal() : icu::MeasureUnit
- createPercent() : icu::MeasureUnit
- createPercentInstance() : icu::NumberFormat
- createPermille() : icu::MeasureUnit
- createPermyriad() : icu::MeasureUnit
- createPetabyte() : icu::MeasureUnit
- createPicometer() : icu::MeasureUnit
- createPinch() : icu::MeasureUnit
- createPint() : icu::MeasureUnit
- createPintMetric() : icu::MeasureUnit
- createPixel() : icu::MeasureUnit
- createPixelPerCentimeter() : icu::MeasureUnit
- createPixelPerInch() : icu::MeasureUnit
- createPoint() : icu::MeasureUnit
- createPound() : icu::MeasureUnit
- createPoundFoot() : icu::MeasureUnit
- createPoundForce() : icu::MeasureUnit
- createPoundPerSquareInch() : icu::MeasureUnit
- createQuart() : icu::MeasureUnit
- createQuarter() : icu::MeasureUnit
- createQuartImperial() : icu::MeasureUnit
- createRadian() : icu::MeasureUnit
- createRevolutionAngle() : icu::MeasureUnit
- createRules() : icu::PluralRules
- createScientificInstance() : icu::NumberFormat
- createSecond() : icu::MeasureUnit
- createSelector() : icu::message2::SelectorFactory
- createSentenceInstance() : icu::BreakIterator
- createSharedInstance() : icu::NumberFormat , icu::PluralRules
- createSolarLuminosity() : icu::MeasureUnit
- createSolarMass() : icu::MeasureUnit
- createSolarRadius() : icu::MeasureUnit
- createSquareCentimeter() : icu::MeasureUnit
- createSquareFoot() : icu::MeasureUnit
- createSquareInch() : icu::MeasureUnit
- createSquareKilometer() : icu::MeasureUnit
- createSquareMeter() : icu::MeasureUnit
- createSquareMile() : icu::MeasureUnit
- createSquareYard() : icu::MeasureUnit
- createStone() : icu::MeasureUnit
- createSuperscriptInstance() : icu::ScientificNumberFormatter
- createTablespoon() : icu::MeasureUnit
- createTeaspoon() : icu::MeasureUnit
- createTerabit() : icu::MeasureUnit
- createTerabyte() : icu::MeasureUnit
- createThermUs() : icu::MeasureUnit
- createTimeInstance() : icu::DateFormat
- createTimeZone() : icu::TimeZone
- createTimeZoneIDEnumeration() : icu::TimeZone
- createTitleInstance() : icu::BreakIterator
- createTon() : icu::MeasureUnit
- createTonne() : icu::MeasureUnit
- createTZDBInstance() : icu::TimeZoneNames
- createUnicodeKeywords() : icu::Locale
- createUTS46Instance() : icu::IDNA
- createVolt() : icu::MeasureUnit
- createVTimeZone() : icu::VTimeZone
- createVTimeZoneByID() : icu::VTimeZone
- createVTimeZoneFromBasicTimeZone() : icu::VTimeZone
- createWatt() : icu::MeasureUnit
- createWeek() : icu::MeasureUnit
- createWeekPerson() : icu::MeasureUnit
- createWithLastResortData() : icu::DecimalFormatSymbols
- createWordInstance() : icu::BreakIterator
- createYard() : icu::MeasureUnit
- createYear() : icu::MeasureUnit
- createYearPerson() : icu::MeasureUnit
- currency() : icu::number::Precision
- CurrencyAmount() : icu::CurrencyAmount
- CurrencyPluralInfo() : icu::CurrencyPluralInfo
- CurrencyUnit() : icu::CurrencyUnit
- current() : icu::BreakIterator , icu::BytesTrie , icu::CharacterIterator , icu::Normalizer , icu::RuleBasedBreakIterator , icu::UCharCharacterIterator , icu::UCharsTrie , UCharIterator
- current32() : icu::CharacterIterator , icu::UCharCharacterIterator